//-------------------------------------------------------------------------*
// 工 程 名: LED                                                           *
// 硬件连接: (1)PTF.0接指示灯                                              *
//           (2)PTB口的PTB0-PTB7分别接LED的数据线LED1_LD0-LED1_LD7,即a-h   *
//              PTD口的PTD0-PTD1分别接LED的位选线LED1_CS0-LED1_CS1         *
//              PTD4-PTD5分别接LED的位选线LED1_CS2-LED1_CS3                *
//           (3)若将核心板直接插在实验板上,则无需连线                      *
// 程序描述: LED数码管显示'2010'                                           *
// 目    的: 掌握数码管使用                                                *
// 说    明: 可通过修改LEDbuf值更换数码管显示内容                          *
//----------------苏州大学飞思卡尔嵌入式系统研发中心2011年-----------------*

#include "Includes.h"

void main(void)
{ 
    //1 主程序使用的变量定义
    uint8  LEDbuf[4];                              //存放需要LED显示数据
    uint32 mRuncount=0;                            //运行计数器
    //2 设置数组初值，即LED显示的数据
    LEDbuf[0]='2';
    LEDbuf[1]='0';
    LEDbuf[2]='1';
    LEDbuf[3]='0';   
    //3 关总中断
    DisableInterrupt();                            //禁止总中断  
    //4 芯片初始化
    MCUInit();
    //5 模块初始化
    Light_Init(Light_Run_PORT,Light_Run,Light_OFF);//指示灯初始化
    LEDinit();                                     //LED初始化
    //6 开总中断 
    EnableInterrupt(); 
    //7 主循环      
     while (1)                      
    {
        //1 主循环计数到一定的值，使小灯的亮、暗状态切换
        mRuncount++;
        if (mRuncount>=500) 
        {
          mRuncount=0;
          Light_Change(Light_Run_PORT,Light_Run); //指示灯的亮、暗状态切换
        }
        //2 主循环执行的任务
        LEDshow(LEDbuf);
    }
}
